Bug 143589

Summary: [NEW PORT] devel/py26-gevent: Python co-routine networking library based on greenlet/libevent
Product: Ports & Packages Reporter: Peter Schuller <peter.schuller>
Component: Individual Port(s)Assignee: Philip M. Gollucci <pgollucci>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py26-gevent-0.12.0.shar none

Description Peter Schuller 2010-02-05 22:30:01 UTC
A coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of an libevent event loop.

WWW:	http://www.gevent.org/

Generated with FreeBSD Port Tools 0.99
Comment 1 wenheping 2010-02-06 15:21:52 UTC
Hi,

  gevent depends on greenlet, while greenlet was not
in FreeBSD portstree, so I think you should port greenlet
into FB portstree first, or it will cause PLIST error.

wen
Comment 2 Peter Schuller 2010-02-06 15:37:31 UTC
> =C2=A0 gevent depends on greenlet, while greenlet was not
> in FreeBSD portstree, so I think you should port greenlet
> into FB portstree first, or it will cause PLIST error.

Apologies. The necessary greenlet support is in the devel/py-pylib
port. I did test package building in a clean build environment but I
failed to test *running* it in said clean environment.

Adding the devel/py-pylib dependency should be enough, but I'll submit
a new patch once I've tested it.

--=20
/ Peter Schuller
Comment 3 Peter Schuller 2010-02-06 15:59:50 UTC
> Adding the devel/py-pylib dependency should be enough, but I'll submit
> a new patch once I've tested it.

So it appears you are right. greenlet has been removed from pylib very
recently (in terms of when it made it into the ports collection) I'll
look into submitting a PR for greenlet separately.

Thank you, and again apologies for the lack of testing.

-- 
/ Peter Schuller
Comment 4 Philip M. Gollucci freebsd_committer 2010-02-11 03:57:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 5 dfilter service freebsd_committer 2010-02-12 19:26:23 UTC
pgollucci    2010-02-12 19:26:10 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-gevent      Makefile distinfo pkg-descr pkg-plist 
  Log:
  A coroutine-based Python networking library that uses greenlet to
  provide a high-level synchronous API on top of an libevent event loop.
  
  WWW:    http://www.gevent.org/
  
  PR:             ports/143589
  Submitted by:   Peter Schuller <peter.schuller at infidyne.com>
  
  Revision  Changes    Path
  1.3815    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/py-gevent/Makefile (new)
  1.1       +3 -0      ports/devel/py-gevent/distinfo (new)
  1.1       +4 -0      ports/devel/py-gevent/pkg-descr (new)
  1.1       +68 -0     ports/devel/py-gevent/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip M. Gollucci freebsd_committer 2010-02-12 19:27:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!